#pragma once

#include "game/engendro.hpp"
#include "game/info.hpp"
#include "game/prota.hpp"
#include "game/sprite.hpp"

class Momia : public Sprite {
   public:
    Momia(JD8_Surface gfx, bool dimoni, Uint16 x, Uint16 y, Prota* sam);

    void clear();
    void draw();
    bool update();
    void insertar(Momia* momia);

    bool dimoni;
    Momia* next;

   protected:
    Prota* sam;
    Engendro* engendro;
};
